%define name mutray
%define version 0.3
%define release %mkrel 7

Name: %name
Version: %version
Release: %release
Summary: MUTray sits in the KDE system tray and notifies the user of updates.
URL: http://www.davidsansome.com/mutray/
License: GPL
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: http://www.davidsansome.com/mutray/%name-%version.tar.bz2
BuildRequires: kdelibs-devel, rpm-devel
BuildRequires: automake1.7

%description
MUTray sits in the KDE system tray, and displays a notification when there 
are new updates.  It can then install the packages with urpmi.

%prep

%setup -q


%build
export LDFLAGS="-L%_prefix/lib/qt3/%_lib"
%configure2_5x
make

%install
rm -rf %{buildroot}

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Mandriva Update Notifications
Comment=A Utility to notify you of updates to your Mandriva system
Exec=%{_bindir}/%{name}
Icon=package
Terminal=false
Type=Application
StartupNotify=true
Categories=System;PackageManager;X-MandrivaLinux-System-Configuration-Packaging
EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun 
%{clean_menus}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README TODO
%doc %_docdir/HTML/en/mutray/index.cache.bz2
%doc %_docdir/HTML/en/mutray/index.docbook
%doc %_docdir/HTML/en/mutray/common
%_bindir/mutray
%dir %_datadir/apps/mutray
%_datadir/apps/mutray/mutrayui.rc
%_datadir/apps/mutray/package.png
%_datadir/apps/mutray/packagenew.png
%attr(0755,root,root) %_datadir/apps/mutray/update.sh
%_datadir/applications/mandriva-mutray.desktop




%changelog
* Tue May 01 2007 Crispin Boylan <crisb@mandriva.org> 0.3-7mdv2008.0
+ Revision: 19981
- XDG Menu
- Rebuild for new libbeecrypt

  + Mandriva <devel@mandriva.com>


* Wed Jan 03 2007 Götz Waschk <waschk@mandriva.org> 0.3-6mdv2007.0
+ Revision: 103620
- bump release
- fix build on x86_64
- Import mutray

* Wed Jan 03 2007 Götz Waschk <waschk@mandriva.org> 0.3-5mdv2007.1
- Rebuild

* Thu May 12 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-4mdk
- rebuild for rpm 4.4

* Wed Jun 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3-3mdk
- rebuild

